# Este script sirve para ver las ONUs conectadas a la red y su información principal
# Se ha de importar el módulo telnetlib para la conexión Telnet 
import telnetlib

# Se define la dirección IP del host y el puerto de la conexión
host = "172.26.128.38"
port = "4551"

# Se definen las claves de acceso
password1 = "TLNT25"
password2 = "TLNT145"

# Se define el comando enable que permitirá entrar en el menú con privilegios
enable = "enable"
# Se la serie de comandos que permiten ver las ONUs conectadas
comandos = "configure \n olt-device 0 \n olt-channel 0 \n show serial-number allocated"

# Ahora se realiza la conexión y se introducen los comandos. Si hubiera un error, 
# saltaría la excepción y se mostraría un mensaje de error.
try:
    # Conexión Telnet al host y puerto anteriormente definidos. Si pasaran más 
    # de 5 segundos sin establecer conexión, aparecería un mensaje de error.    
    tn = telnetlib.Telnet(host,port,5)
    # Se introducen las claves de acceso y los comandos
    tn.write(password1.encode('ascii') + b"\n")
    tn.write(enable.encode('ascii') + b"\n")
    tn.write(password2.encode('ascii') + b"\n")
    tn.write(comandos.encode('ascii') + b"\n")   
    # La función interact() es la que permite interactuar con la terminal del CLI
    # y ver las ONUs conectadas y la información asociada a ellas.
    tn.interact()
    
except:
    print("Error")   
